package com.alttd.altitudeweb.database.chat;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Optional;

public interface NicknameMapper {
    @Select("""
            SELECT nickname
            FROM nicknames
            WHERE uuid = #{uuid}
            """)
    Optional<String> getNicknameFromUUID(@Param("uuid") String uuid);
}
